# eth\_call

The API credit value for this method is 70

1. **Parameters**

* <mark style="color:blue;">transaction</mark>-object

  The transaction call object, which contains the following fields:
* <mark style="color:blue;">from</mark> string

  The address from which the transaction is sent
* &#x20;<mark style="color:blue;">to string</mark> \*REQUIRED

  The address to which the transaction is addressed
* <mark style="color:blue;">gas</mark> integer

  The integer of gas provided for the transaction execution
* <mark style="color:blue;">gasPrice</mark> integer

  The integer of gasPrice used for each paid gas encoded as hexadecimal
* <mark style="color:blue;">value</mark> integer

  The integer of value sent with this transaction encoded as hexadecimal
* <mark style="color:blue;">data</mark> string

  The hash of the method signature and encoded parameters. For more information, see the Contract ABI description in the Solidity documentation
* <mark style="color:blue;">blockNumber/tag</mark>-string\*REQUIRED

  The block number in hexadecimal format or the string latest, earliest, pending, safe or finalized (safe and finalized tags are only supported on Ethereum, Gnosis, Arbitrum, Arbitrum Nova and Avalanche C-chain).

```bash
curl https://Krypc-End Point URL/ \
  -X POST \
  -H "Content-Type: application/json" \
  --data '{"method":"eth_call","params":[{"from":null,"to":"0x6b175474e89094c44da98b954eedeac495271d0f","data":"0x70a082310000000000000000000000006E0d01A76C3Cf4288372a29124A26D4353EE51BE"}, "latest"],"id":1,"jsonrpc":"2.0"}'


```

2. Result

   1. Returns- The return value of the executed contract method


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_call.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
